Package org.eclipse.m2m.atl.emftvm

## Interface LocalVariableInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Load`, `Store`

All Known Implementing Classes:
  `LoadImpl`, `LocalVariableInstructionImpl`, `StoreImpl`

    public interface LocalVariableInstruction
    extends Instruction

A representation of the model object 'Local Variable Instruction'.

See Also:
  `EmftvmPackage.getLocalVariableInstruction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getCbOffset()` Returns the value of the 'Cb Offset' attribute.
`LocalVariable` `getLocalVariable()` Returns the value of the 'Local Variable' reference.
`int` `getLocalVariableIndex()` Returns the value of the 'Local Variable Index' attribute.
`int` `getSlot()` Returns the value of the 'Slot' attribute.
`void` `setCbOffset​(int value)` Sets the value of the '`Cb Offset`' attribute.
`void` `setLocalVariable​(LocalVariable value)` Sets the value of the '`Local Variable`' reference.
`void` `setLocalVariableIndex​(int value)` Sets the value of the '`Local Variable Index`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getCbOffset

    int getCbOffset()

Returns the value of the 'Cb Offset' attribute. The default value is `"-1"`.

If the meaning of the 'Cb Offset' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Cb Offset' attribute.
See Also:
  `setCbOffset(int)`, `EmftvmPackage.getLocalVariableInstruction_CbOffset()`

#### setCbOffset

    void setCbOffset​(int value)

Sets the value of the '`Cb Offset`' attribute.

Parameters:
  `value` - the new value of the 'Cb Offset' attribute.
See Also:
  `getCbOffset()`

#### getSlot

    int getSlot()

Returns the value of the 'Slot' attribute. The default value is `"-1"`.

If the meaning of the 'Slot' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Slot' attribute.
See Also:
  `EmftvmPackage.getLocalVariableInstruction_Slot()`

#### getLocalVariableIndex

    int getLocalVariableIndex()

Returns the value of the 'Local Variable Index' attribute. The default value is `"-1"`.

If the meaning of the 'Local Variable Index' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Local Variable Index' attribute.
See Also:
  `setLocalVariableIndex(int)`, `EmftvmPackage.getLocalVariableInstruction_LocalVariableIndex()`

#### setLocalVariableIndex

    void setLocalVariableIndex​(int value)

Sets the value of the '`Local Variable Index`' attribute.

Parameters:
  `value` - the new value of the 'Local Variable Index' attribute.
See Also:
  `getLocalVariableIndex()`

#### getLocalVariable

    LocalVariable getLocalVariable()

Returns the value of the 'Local Variable' reference.

If the meaning of the 'Local Variable' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Local Variable' reference.
See Also:
  `setLocalVariable(LocalVariable)`, `EmftvmPackage.getLocalVariableInstruction_LocalVariable()`

#### setLocalVariable

    void setLocalVariable​(LocalVariable value)

Sets the value of the '`Local Variable`' reference.

Parameters:
  `value` - the new value of the 'Local Variable' reference.
See Also:
  `getLocalVariable()`